## lutris 0.5.19

=== Makefile ===
VERSION=`grep "__version__" lutris/__init__.py | cut -d" " -f 3 | sed 's|"\(.*\)"|\1|'`
GITBRANCH ?= master
# Default GPG key ID to use for package signing.
PPA_GPG_KEY_ID ?= 82D96E430A1F1C0F0502747E37B90EDD4E3EFAE4
PYTHON:=$(shell which python3)
PIP:=$(PYTHON) -m pip

all:
	export GITBRANCH=master
	debuild
	debclean


unsigned:
	export GITBRANCH=master
	debuild -i -us -uc -b
	debclean


# Build process for GitHub runners.
# Requires two environment variables related to package signing.
# 	PPA_GPG_KEY_ID
#		Key ID used to sign the .deb package files.
#	PPA_GPG_PASSPHRASE
#		Decrypts the private key associated with GPG_KEY_ID.
#
# When running from a GitHub workflow.  The above environment variables
# are passed in from .github/scripts/build-ubuntu.sh and that script
# receives those variables from the .github/workflows/publish-lutris-ppa.yml
# which receives them from the repository secrets.
github-ppa:
	export GITBRANCH=master
	# Automating builds for different Ubuntu codenames manipulates the
	# version string, and so that lintian check is suppressed.  Also note
	# that all parameters after "--lintian-opts" are passed to lintian
	# so that _must_ be the last parameter.
	echo "y" | debuild -S \
		-k"${PPA_GPG_KEY_ID}" \
		-p"gpg --batch --passphrase ${PPA_GPG_PASSPHRASE} --pinentry-mode loopback" \
		--lintian-opts --suppress-tags malformed-debian-changelog-version

build-deps-ubuntu:
	sudo apt install devscripts debhelper dh-python meson

build:
	gbp buildpackage --git-debian-branch=${GITBRANCH}

clean:
	debclean

build-source: clean
	gbp buildpackage -S --git-debian-branch=${GITBRANCH}
	mkdir build
	mv ../lutris_${VERSION}* build

release: build-source upload upload-ppa

test:
	rm tests/fixtures/pga.db -f
	nose2


cover:
	rm tests/fixtures/pga.db -f
	rm tests/coverage/ -rf
	nose2 --with-coverage --cover-package=lutris --cover-html --cover-html-dir=tests/coverage


pgp-renew:
	osc signkey --extend home:strycore
	osc rebuildpac home:strycore --all

changelog-add:
	EDITOR=vim dch -i

changelog-edit:
	EDITOR=vim dch -e

upload:
	scp build/lutris_${VERSION}.tar.xz anaheim:~/volumes/releases/

upload-ppa:
	dput ppa:lutris-team/lutris build/lutris_${VERSION}*_source.changes

upload-staging:
	dput --force ppa:lutris-team/lutris-staging build/lutris_${VERSION}*_source.changes

snap:
	snapcraft clean lutris -s pull
	snapcraft

req-python:
	pip3 install PyYAML lxml requests Pillow setproctitle python-magic distro dbus-python types-requests \
	 types-PyYAML evdev PyGObject pypresence protobuf moddb

dev:
	pip3 install ruff==0.3.5 mypy==1.8.0 mypy-baseline nose2

# ============
# Style checks
# ============

style:
	ruff format . --check

format:
	ruff check --select I --fix
	ruff format .

# ===============
# Static analysis
# ===============

check: ruff_lint mypy

ruff_lint:
	ruff check .

mypy:
	mypy . --install-types --non-interactive 2>&1 | mypy-baseline filter

mypy-reset-baseline:  # Add new typing errors to mypy. Use sparingly.
	mypy . --install-types --non-interactive 2>&1 | mypy-baseline sync

# =============
# Abbreviations
# =============

sc: style check
styles: style
checks: check

=== debian/changelog ===
lutris (0.5.19-3) unstable; urgency=medium

  * Patch: Remove check for new version (Closes: #1089561)
  * Move fluid-soundfont-gs and fluidsynth to Suggests
    (Closes: #1110544, #1104524) (LP: #2083085)

 -- Ilya Orlov <ilyaorlov124@gmail.com>  Wed, 13 Aug 2025 02:10:00 +0400

lutris (0.5.19-2) unstable; urgency=medium

  * Replaced p7zip b-d with 7zip
    - Closes: #1063585
    - Thanks to cacin@allfreemail.net for highlighting the issue

 -- Dave Hibberd <hibby@debian.org>  Wed, 23 Apr 2025 21:35:26 +0100

lutris (0.5.19-1) unstable; urgency=medium

  * New upstream version 0.5.19
    - Closes: #1089562
  * d/control
   * Add myself as Uploader
   * Bump standards to 4.7.2
   * Update to dh13
   * Various whitespace removals

 -- Dave Hibberd <hibby@debian.org>  Mon, 07 Apr 2025 23:04:55 +0100

=== debian/control ===
Source: lutris
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Dave Hibberd <hibby@debian.org>,
           Safir Secerovic <sapphire@linux.org.ba>,
           Ilya Orlov <ilyaorlov124@gmail.com>,
Build-Depends: debhelper-compat (= 13),
               appstream,
               dh-sequence-python3
Build-Depends-Indep: meson,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://lutris.net
Vcs-Browser: https://salsa.debian.org/games-team/lutris
Vcs-Git: https://salsa.debian.org/games-team/lutris.git

Package: lutris
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         7zip,
         cabextract,
         curl,
         gir1.2-gtk-3.0,
         gir1.2-notify-0.7,
         gir1.2-webkit2-4.1,
         mesa-utils,
         psmisc,
         python3-dbus,
         python3-distro,
         python3-gi,
         python3-gi-cairo,
         python3-lxml,
         python3-magic,
         python3-pil,
         python3-requests,
         python3-setproctitle,
         python3-yaml,
         unzip,
         vulkan-tools,
         x11-xserver-utils,
Recommends: python3-evdev,
            python3-protobuf,
            gvfs-backends,
            libwine-development | libwine,
            winetricks,
            xdg-desktop-portal,
            xdg-desktop-portal-gtk | xdg-desktop-portal-kde,
            gamemode,
            gamescope,
Suggests: fluid-soundfont-gs,
          fluidsynth,
Description: video game preservation platform
 Lutris helps you install and play video games from all eras and from most
 gaming systems. By leveraging and combining existing emulators, engine
 re-implementations and compatibility layers, it gives you a central interface
 to launch all your games.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -Dbindir=games

## lutris 0.5.20~mx21+1

=== debian/changelog ===
lutris (0.5.20~mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 17 Feb 2026 12:19:52 -0800

lutris (0.5.20) jammy; urgency=medium

  * Proton-GE launched via umu is now the default. Umu takes care of keeping Proton-GE up to date.
  * Fix Proton integration bugs so Proton-fixes are applied
  * Do not offer VKD3D, D3D Extras or DXVK-NVAPI on Proton versions; Proton will handle these.
  * The "Enable Esync" and "Enable Fsync" and "DXVK" settings are now passed on to Proton
  * DXVK's integrated D8VK will be enabled in Proton
  * Wine runner adds an option to select Wine's "Wayland driver"
  * Add little buttons to select covert-art, banner and icons via URL in game configuration
  * Cover-art or banners from sources will be used when Lutris media is not available
  * Emulator BIOS file location (used by libretro) may be set in Preferences
  * Fix for updated Flathub API
  * Change Itch.io over to the use of API keys instead of usernames and passwords
  * Update EA App source to their new API
  * Simplify Itcho.io collections- if you have no collection named "Lutris", we will show all games
  * MAME Machine setting uses a searchable entry for its enormous list
  * Obtain the release year from GOG and Itch.io
  * Add "Azahar" runner
  * Add "ZOOM Platform" source
  * Add "Steam Family" source to support Steam Families
  * Updated versions of runners for TIC-80, EasyRPG, mGBA, Rosalie's Mupen GUI, Ruffle, 86Box
  * Ryujinx runner can now specific 'application ID' for your multi-game XCIs.
  * Support for importing Commodore 64 ROMs
  * Support ICDs for Intel Xe GPUs
  * Add option for 'ptyxis' terminal
  * Redundant "Add Games" menu item removed; use the plus button in the corner
  * Option to hide a source's games from also appearing in the Games view
  * "Manual Script" for the context menu will now see the game's environment variables
  * Add "Create Steam Big Picture shortcut" to the context menu
  * Add a file association to run .lutris installer files via double-click
  * Fix compatibility with Python 3.14

 -- Mathieu Comandon <mathieucomandon@gmail.com>  Sun, 23 Feb 2025 10:55:10 -0800

=== debian/control ===
Source: lutris
Section: games
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Mathieu Comandon <mathieucomandon@gmail.com>
Build-Depends: debhelper-compat (= 12),
               appstream,
               dh-apparmor,
               dh-sequence-python3,
               meson,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://lutris.net
Vcs-Browser: https://github.com/lutris/lutris
Vcs-Git: https://github.com/lutris/lutris.git

Package: lutris
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-yaml,
         python3-lxml,
         python3-requests,
         python3-pil,
         python3-gi,
         python3-gi-cairo,
         python3-setproctitle,
         python3-magic,
         python3-distro,
         python3-dbus,
         gir1.2-gtk-3.0,
         gir1.2-webkit2-4.0 | gir1.2-webkit2-4.1,
         gir1.2-notify-0.7,
         psmisc,
         cabextract,
         unzip,
         p7zip,
         curl,
         fluid-soundfont-gs,
         x11-xserver-utils,
         mesa-utils,
         vulkan-tools,
Recommends: python3-evdev,
            python3-protobuf,
            python3-pefile,
            gvfs-backends,
            libwine-development | libwine,
            winetricks,
            fluidsynth,
            gamescope,
            gamemode,
            xdg-desktop-portal,
            xdg-desktop-portal-gtk | xdg-desktop-portal-kde,
Description: video game preservation platform
 Lutris helps you install and play video games from all eras and from most
 gaming systems. By leveraging and combining existing emulators, engine
 re-implementations and compatibility layers, it gives you a central interface
 to launch all your games.

## lutris 0.5.20~mx23+2

=== debian/changelog ===
lutris (0.5.20~mx23+2) mx; urgency=medium

  * Patched malformed string.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 21 Feb 2026 09:44:32 -0800

lutris (0.5.20~mx23+1) mx; urgency=medium

  *Rebuild for MX-23. 

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 17 Feb 2026 12:13:47 -0800

## lutris 0.5.20~mx25+1

=== debian/changelog ===
lutris (0.5.20~mx25+1) mx; urgency=medium

  * Rebuild for MX-25.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 17 Feb 2026 12:05:45 -0800

## lutris 0.50rc1mx17+1

=== debian/changelog ===
lutris (0.50rc1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18..

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 30 Jan 2019 16:14:00 -0800

lutris (0.50rc1) cosmic; urgency=medium

  * TODO

 -- Mathieu Comandon <strycore@gmail.com>  Fri, 04 Jan 2019 09:08:25 -0800
